> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get submissions for a form

> Get the submissions for the specified form. This will include the fields in the submissions, the time of the form submission, and the page URL that the form was submitted on. Submissions will be returned in reverse-chronological order.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['forms', 'forms-uploaded-files']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/forms-v1.json GET /form-integrations/v1/submissions/forms/{form_guid}
openapi: 3.0.0
info:
  title: Forms API v1
  version: 1.0.0
  description: >-
    Use the forms API to create and manage forms in your HubSpot account, which
    you can then embed on your website to collect form submissions from website
    visitors.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /form-integrations/v1/submissions/forms/{form_guid}:
    get:
      summary: Get submissions for a form
      description: >-
        Get the submissions for the specified form. This will include the fields
        in the submissions, the time of the form submission, and the page URL
        that the form was submitted on. Submissions will be returned in
        reverse-chronological order.
      operationId: getFormSubmissions
      parameters:
        - name: form_guid
          in: path
          required: true
          description: >-
            The unique guid for the form that you want to get the submissions
            from.
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            The number of results to include in the response. Defaults to 20,
            supports a maximum of 50.
          schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 20
        - name: after
          in: query
          description: >-
            Used to get the next page of results. Each response returns an after
            value, which is used with this parameter in the next request to get
            the next page of results.
          schema:
            type: string
      responses:
        '200':
          description: Form submissions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormSubmissionsResponse'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FormSubmissionsResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/FormSubmission'
        paging:
          $ref: '#/components/schemas/Paging'
      required:
        - results
    Error:
      type: object
      properties:
        category:
          type: string
          description: The error category
        correlationId:
          type: string
          description: A unique identifier for the request
        message:
          type: string
          description: A human readable message describing the error
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        errors:
          type: array
          description: Further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        context:
          type: object
          description: Context about the error condition
        links:
          type: object
          description: A map of link names to associated URIs
      required:
        - category
        - correlationId
        - message
    FormSubmission:
      type: object
      properties:
        conversionId:
          type: string
          description: The unique identifier for the form submission
        submittedAt:
          type: integer
          format: int64
          description: The timestamp when the form was submitted
        values:
          type: array
          items:
            $ref: '#/components/schemas/FormFieldValue'
          description: The form field values submitted
        pageUrl:
          type: string
          description: The URL of the page where the form was submitted
      required:
        - conversionId
        - submittedAt
        - values
    Paging:
      type: object
      properties:
        next:
          $ref: '#/components/schemas/NextPage'
    ErrorDetail:
      type: object
      properties:
        message:
          type: string
          description: A human readable message describing the error
        in:
          type: string
          description: The name of the field or parameter in which the error was found
        code:
          type: string
          description: The status code associated with the error detail
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        context:
          type: object
          description: Context about the error condition
      required:
        - message
    FormFieldValue:
      type: object
      properties:
        name:
          type: string
          description: The name of the form field
        value:
          type: string
          description: The value submitted for the form field
      required:
        - name
        - value
    NextPage:
      type: object
      properties:
        after:
          type: string
          description: The cursor for the next page of results
        link:
          type: string
          description: The link to the next page of results

````